ICU 74.2 74.2

Data Structures | Namespaces
coll.h File Reference

C++ API: Collation Service. More...

`#include "unicode/utypes.h"`
`#include "unicode/uobject.h"`
`#include "unicode/ucol.h"`
`#include "unicode/unorm.h"`
`#include "unicode/locid.h"`
`#include "unicode/uniset.h"`
`#include "unicode/umisc.h"`
`#include "unicode/uiter.h"`
`#include "unicode/stringpiece.h"`

Go to the source code of this file.

## Data Structures
class | icu::Collator
| The `Collator` class performs locale-sensitive string comparison. More...
class | icu::CollatorFactory
| A factory, used with registerFactory, the creates multiple collators and provides display names for them. More...

## Namespaces
namespace | icu
| File coll.h.

## Detailed Description

C++ API: Collation Service.

Definition in file coll.h.